import config
import animes
import req 
import os

def downloadAnime(id, filepath):
    print("正在下载到: " + filepath)
    episodes = req.get("anime/file", {
        "id": id,
        "drive": config.node,
    })

    for episode in episodes:
        ext = episode["parseResult"]["extensionName"]["raw"]
        filename = os.path.join(filepath, episode["name"] + '.' + ext)
        print("正在下载: " + episode["name"])

        req.download(episode["url"], filename)
       
for anime in animes.anime_ids:
    print("正在查询: " + str(anime))
    a = req.get("anime/get", {
        "id": "810",
        "full": "true"
    })

    name = a["name"]
    name_cn = a["name_cn"]

    fullname = name_cn + " - " + name
    # create dir
    dir_path = config.joinpath(fullname)

    print(dir_path)

    # 检测文件夹是否存在
    if not os.path.exists(dir_path):
        # mkdir
        os.mkdir(dir_path)
    
    # 开始下载
    downloadAnime(anime, dir_path)


